<!-- <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Charger registration
    </div>
    <div class="col-xs-14 col-sm-8 col-md-8 col-sm-offset-1 col-md-offset-4 card-body">
       -->
       <div class="container">
          <div class="row">
          <div class="col-sm-3"></div>

          <div class="col-sm-6">
              <mat-toolbar color="primary">Charger Registration</mat-toolbar>
            <mat-card class="example-card">

              <mat-card-content>
      <form [formGroup]="registerChargerForm" (ngSubmit)="onSubmit()">

          <div class="authentication row">
              <div class="col-md-8 col-sm-8 col-lg-8">
            <mat-form-field class="form-group">
              <mat-label>Authentication</mat-label>
              <input matInput value="{{ this.val1 }}" disabled="disabled" />
              <mat-hint align="end" *ngIf="this.val1==null">Choose Yes/No</mat-hint>
            </mat-form-field>
          </div>
          <div class="col-md-4 col-sm-4 col-lg-4">
            <mat-radio-group
              class="example-radio-group"
              formControlName="isAuthenticate"
              (change)="this.getValue()"
            >
              <div class="RadioButton">
                <mat-radio-button
                  class="example-radio-button"
                  *ngFor="let r of radioOptions"
                  [value]="r"

                >
                  {{ r }}
                </mat-radio-button>
              </div>
            </mat-radio-group>
            </div>
            <mat-error
                 *ngIf="!registerChargerForm.get('isAuthenticate').valid && registerChargerForm.get('isAuthenticate').touched"
                 >Please mark one option!</mat-error>
          </div>

        <!-- <div class="form-group">
          <label for="isAuthenticate">Authentication<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="isAuthenticate"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!registerChargerForm.get('isAuthenticate').valid && registerChargerForm.get('isAuthenticate').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->
        <div class="charges row">
            <div class="col-md-8 col-sm-8 col-lg-8">
        <mat-form-field class="form-group">
            <mat-label>Charges Deeply Discharged Battery</mat-label>
            <input matInput value="{{ this.val2 }}" disabled="disabled" />
            <mat-hint align="end" *ngIf="this.val2== null">Choose Yes/No</mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-4 col-sm-4 col-lg-4">
          <mat-radio-group
            class="example-radio-group"
            formControlName="deeplyDischarged"
            (change)="this.getValue()"
          >
            <div class="RadioButton">
              <mat-radio-button
                class="example-radio-button"
                *ngFor="let r of radioOptions"
                [value]="r"

              >
                {{ r }}
              </mat-radio-button>
            </div>
          </mat-radio-group>
          </div>
          <mat-error
               *ngIf="!registerChargerForm.get('deeplyDischarged').valid && registerChargerForm.get('deeplyDischarged').touched"
               >Please mark one option!</mat-error>
        </div>

        <!-- <div class="form-group">
          <label for="deeplyDischarged">Charges Deeply Discharged Battery<sup class="req">*</sup></label>
            <div class="radio" *ngFor="let r of radioOptions">
              <label style="font-weight: normal;">
                <input
                    type="radio"
                    formControlName="deeplyDischarged"
                    [value]="r.value">&nbsp;&nbsp;{{ r.label }}
              </label>
            </div>
            <span
                 *ngIf="!registerChargerForm.get('deeplyDischarged').valid && registerChargerForm.get('deeplyDischarged').touched"
                 class="help-block">Please mark one option!</span>
        </div> -->
        <mat-form-field class="form-group" >
            <mat-label>Specs</mat-label>
            <input matInput formControlName="specs" placeholder="Enter Specs" />
            <mat-error *ngIf="!!registerChargerForm.get('specs').hasError('required')"
              >Specs is required</mat-error
            >
          </mat-form-field>
        <!-- <div class="form-group">
          <label for="specs">Specs<sup class="req">*</sup></label>
          <input
              type="text"
              formControlName="specs"
              class="form-control"
              placeholder="Enter Specs">
              <div *ngIf="registerChargerForm.get('specs').invalid && registerChargerForm.get('specs').touched"
              class="alert alert-danger">

              <div *ngIf="!!registerChargerForm.get('specs').errors.required">
                Specs is required.
              </div>
            </div>
        </div>

        <span
              *ngIf="!registerChargerForm.valid && registerChargerForm.touched"
              class="help-block">Please fill all the required fields</span><br> -->

<div class="row">
  <div class="col-sm-4"></div>
  <div class="col-sm-4"></div>
  <div class="col-sm-4">
        <button
           mat-raised-button color="primary"
           type="submit"
           [disabled]="!registerChargerForm.valid">Submit</button></div></div>
      </form>
    </mat-card-content>
  </mat-card>

</div>
<div class="col-sm-3"></div>
</div></div>
